Bug 1287852 - [Satellite] 6.1 installation documentation doesn't clearly list port 9090 as being required
[Satellite] 6.1 installation documentation doesn't clearly list port 9090 as ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.1.3
Unspecified Unspecified
medium Severity medium (vote)
: Beta
: 6.2
Assigned To: Stephen Wadeley
Allison Heslin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 15:33 EST by Frank Hirtz
Modified: 2016-04-27 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 19:46:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Hirtz 2015-12-02 15:33:40 EST
Description of problem:

In the 6.1 Satellite documentation, if one is installing a Satellite with an integrated capsule, port 9090 needs to be available in addition to those listed in the Server install list:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_Guide-Prerequisites.html#sect-Red_Hat_Satellite-Installation_Guide-Prerequisites-Network_Ports_Required_for_Satellite_Communications

We list 9090 in table 7.1:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/Installation_Guide/sect-Red_Hat_Satellite-Installation_Guide-Red_Hat_Satellite_Capsule_Server_Prerequisites.html#tabl-Red_Hat_Satellite-Installation_Guide-Required_Network_Ports-Satellite_to_Capsule_Communication

...but, it's not obvious that this needs to be in the port list for an integrated capsule installation and can cause installation failures. 


this is used for the foreman-proxy service, as you can see on my 6.1.4 systems both rhel6/7 its needed
<snip>
[root@satellite1 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.7 (Santiago)
[root@satellite1 ~]# hostname -f
satellite1.released-el6.satellite.lab.eng.rdu2.redhat.com
[root@satellite1 ~]# netstat -tunap | grep 9090
tcp        0      0 0.0.0.0:9090                0.0.0.0:*                   LISTEN      16491/ruby          


[root@satellite1 ~]# hostname -f
satellite1.released-el7.satellite.lab.eng.rdu2.redhat.com
[root@satellite1 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.2 (Maipo)
[root@satellite1 ~]# netstat -tunap | grep 9090
tcp        0      0 0.0.0.0:9090            0.0.0.0:*               LISTEN      24939/ruby
</snip>

I'd like to request that the documentation either make the need for the Satellite->Capsule port needing to be also opened in this configuration be made more explicit in the main section, or that 9090 be added to the main list (if that's acceptable).
Comment 1 Stephen Wadeley 2016-01-06 07:25:47 EST
Hello

I think we should add it to the table "Ports for Client to Satellite Communication"

We have 9090 in "Ports for Client to Capsule Communication"

It says:
9090 	TCP 	HTTPS 	Sending generated SCAP reports to the proxy in the Capsule for spooling 

I believe it is also used for host discovery and provisioning by the 	discovered node. So that text should be added to the tables.

Thank you
Comment 6 Andrew Dahms 2016-02-08 00:28:09 EST
Re-assigning to Stephen, and returning the status to VERIFIED.
Comment 8 Andrew Dahms 2016-04-27 19:46:08 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.